Almirah.Code - Bug #102

Undefined behavior without document title
06/07/2024 08:32 PM - Oleksandr Ilvanov

Status: Closed Start date: 06/07/2024
Priority: Normal Due date: 06/27/2024
Assignee: Oleksandr lvanov % Done: 100%
Category: Estimated time: 3:00 hours
Target version: 0.2.4 Spent time: 3:00 hours
Description

During unit testing of DocParser it was found that there is no document title if the first heading in the document has level greater than

1 (and there it no pandoc title).

Correct parser behavior to be investigated since it breaks the DOM (no root element).

History

#1 - 06/27/2024 04:55 PM - Oleksandr lvanov
- Due date set to 06/27/2024

- Status changed from New to In Progress

- Target version set to 0.2.4

- Estimated time set to 3:00 h

In addition to the initial issue, it was observed that sometimes one document tree contains sections from two documents.
Investigation with unit tests indicated that initial algorithm of DOM creation was incorrect.

#2 - 06/27/2024 05:05 PM - Oleksandr Ivanov
Implemented with UT: (cbcc0032), (173b799b)

Reviewed in https:/github.com/OleksandrlvanovDev/Almirah.Code/pull/40

#3 - 06/27/2024 05:05 PM - Oleksandr lvanov
- Status changed from In Progress to Feedback

- % Done changed from 0 to 80

#4 - 06/29/2024 03:53 PM - Oleksandr Ivanov
- Status changed from Feedback to Closed
- % Done changed from 80 to 100
https://almirah.site/redmine/projects/almirah-code/repository/almirah-code/revisions/cbcc00329943b47adc2fe0f4dc6cba605f133f35
https://almirah.site/redmine/projects/almirah-code/repository/almirah-code/revisions/173b799b3046e004a2ffea20dcae5dcb307f2b4e
https://github.com/OleksandrIvanovDev/Almirah.Code/pull/40
http://www.tcpdf.org

